/***

CONFIGURATION
Change these as I've explained next to them

**/

// Don't ask, just go to yahoo weather, search for your town and check the url for the last digits, for example: http://.../london-44418 so 44418 is london
var YWCode = '2459618';

//Update the weather every __ minutes...
var updateWeatherEvery = 90;

//Set to 'c' or 'f' for celsius or farenheit, keep it lowercase
var tempUnit = 'c';

//Set to true to show the high and low temperatures for the day, false to hide them
var showHiLo = true;

//Set to 'true' or 'false', no quotes. True gives a 24 hour clock mode ... i.e. 19:45 instead of 07:45
var is24Hour = true; 

//If you always want the AM or PM icon to show regardless of 24hr clock or not
var alwaysShowAmPm = true; 



/**************************************

End of configuration - this is all important

Use as you wish, steal as you please
	
**************************************/


var lastUpdatedWeather = 0;

//Update the clock with the current time
function updateTime(){
	var days = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
	var months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
	var now = new Date();
	var h = now.getHours();
	var m = now.getMinutes();
	var ampm = (now.getHours() < 12) ? "AM" : "PM";
	var cal = days[now.getDay()]+", "+months[now.getMonth()]+" "+now.getDate();
	if (!is24Hour) { if (h > 12) h = h - 12; if (h == 0) h = 12; }
	if (h < 10) h = '0'+h;
	if (m < 10) m = '0'+m;
	document.getElementById('hours').innerHTML = h;
	document.getElementById('mins').innerHTML = m;
	if (!is24Hour || alwaysShowAmPm) document.getElementById('ampm').innerHTML = ampm;
	document.getElementById('calendar').innerHTML = cal;
	if ((lastUpdatedWeather == 0) || (now.getTime() - lastUpdatedWeather >= updateWeatherEvery))
	{
		fetchWeatherData();
		lastUpdatedWeather = now.getTime();
	}
}

//Update the weather information
function updateWeather(wtrObj){
	if (wtrObj.error)
	{
		document.getElementById('location').innerHTML = "Unknown";
		document.getElementById('weatherDescription').innerHTML = "N/A";
		document.getElementById('temp').innerHTML = "NA";
		if (showHiLo)
		{
			document.getElementById('hi').innerHTML = "H:";
			document.getElementById('hiTemp').innerHTML = "NA";
			document.getElementById('lo').innerHTML = "L:";
			document.getElementById('loTemp').innerHTML = "NA";
		}
		document.getElementById('weatherIconImg').src = 'images/icons/'+weatherImages[48]+'.png';
	}
	else
	{
		document.getElementById('location').innerHTML = wtrObj.city.replace(/ /, "<br />");
		document.getElementById('weatherDescription').innerHTML = wtrObj.description.toLowerCase();
		document.getElementById('temp').innerHTML = wtrObj.temp+"&deg;";
		if (showHiLo)
		{
			document.getElementById('hi').innerHTML = "H:";
			document.getElementById('hiTemp').innerHTML = wtrObj.hi;
			document.getElementById('lo').innerHTML = "L:";
			document.getElementById('loTemp').innerHTML = wtrObj.lo;
		}
		document.getElementById('tempUnit').innerHTML = tempUnit;
		if (wtrObj.image == 3200) document.getElementById('weatherIconImg').src = 'images/icons/'+weatherImages[48]+'.png';
		else document.getElementById('weatherIconImg').src = 'images/icons/'+weatherImages[wtrObj.image]+'.png';
	}
}

//Called on body load, initialises AndroiHD
function init(){
	updateWeatherEvery *= 60*1000;
	updateTime();
	setInterval("updateTime()", 1000);
}